Bug 604033 - Review Request: openemr - Practice Management, Electronic Medical Record
Review Request: openemr - Practice Management, Electronic Medical Record
Status: CLOSED DUPLICATE of bug 730691
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
StalledSubmitter
:
Depends On:
Blocks: fedora-medical
  Show dependency treegraph
 
Reported: 2010-06-15 04:48 EDT by Rakesh Pandit
Modified: 2011-08-15 07:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:15:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2010-06-15 04:48:44 EDT
SPEC: http://rakesh.fedorapeople.org/misc/openemr.spec
SRPM: http://rakesh.fedorapeople.org/misc/openemr-3.2.0-1.fc13.src.rpm

Description:
Open Source Practice Management, Electronic Medical Record, Prescription Writing and Medical Billing application.
Comment 1 Jason Tibbitts 2010-11-22 14:35:17 EST
This package has a very large number of rpmlint complaint (script-without-shebang, wrong-script-end-of-line-encoding, non-executable-script, zero-length, etc.).  You should run rpmlint on your packages and address the output when you submit your reviews.

The packages build but do not install:

Error: Package: openemr-3.2.0-1.fc15.noarch (/openemr-3.2.0-1.fc15.noarch)
           Requires: perl(SL::IS)
Error: Package: openemr-3.2.0-1.fc15.noarch (/openemr-3.2.0-1.fc15.noarch)
           Requires: perl(SL::IC)
Error: Package: openemr-3.2.0-1.fc15.noarch (/openemr-3.2.0-1.fc15.noarch)
           Requires: perl(SL::User)
Error: Package: openemr-3.2.0-1.fc15.noarch (/openemr-3.2.0-1.fc15.noarch)
           Requires: perl(SL::CT)
Error: Package: openemr-3.2.0-1.fc15.noarch (/openemr-3.2.0-1.fc15.noarch)
           Requires: perl(sql-ledger.conf)
Error: Package: openemr-3.2.0-1.fc15.noarch (/openemr-3.2.0-1.fc15.noarch)
           Requires: perl(SL::Form)
Error: Package: openemr-3.2.0-1.fc15.noarch (/openemr-3.2.0-1.fc15.noarch)
           Requires: perl(SL::AA)
Error: Package: openemr-3.2.0-1.fc15.noarch (/openemr-3.2.0-1.fc15.noarch)
           Requires: perl(SL::AR)
Error: Package: openemr-3.2.0-1.fc15.noarch (/openemr-3.2.0-1.fc15.noarch)
           Requires: perl(SL::HR)

Shouldn't this have a dependency on php-mysql?  How does it interface with the database otherwise?

The documentation is half of the size of the package; you should probably consider splitting a separate -doc package unless the documentation is somehow required to be installed for the package to work.

The package bundles some javascript libraries.  Bundled javascript is generally permitted, but you must take care of the licensing issues which result.  For example, DocumentTreeMenu.js has a BSD license, and there is LGPLv2+ code in calendar_nikki.inc.  Since these files survive intact in the final packages, their licenses must be accounted for.  You'll probably need to do a full check of all the files in the package to determine their licenses.
Comment 2 Rakesh Pandit 2010-12-28 04:36:13 EST
Will update in Jan first week.
Comment 3 David Nalley 2011-01-23 13:24:07 EST
Rakesh: 

Just another ping. 
In addition to tibbs comments above, this package (as almost all web apps do) bundles a ton of php libraries. Brief perusal yiels php-adodb, phpmyadmin, php-Smarty and others, though it wouldn't strike me as odd to find that number far higher. That of course needs to be rectified as bundled libraries aren't permitted. 
http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 4 Bug Zapper 2011-06-02 06:48:32 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ankur Sinha (FranciscoD) 2011-06-21 23:58:01 EDT
Hi Rakesh,

Would you continue to work on this? If you don't intend to, please close the ticket so that someone can open a new one. 

There's a needinfo requested already. 

Thanks,
Ankur
Comment 6 Rakesh Pandit 2011-06-22 01:52:41 EDT
(In reply to comment #5)
> Hi Rakesh,
> 
> Would you continue to work on this? If you don't intend to, please close the
> ticket so that someone can open a new one. 
> 
> There's a needinfo requested already. 
> 
> Thanks,
> Ankur

I work on this and other package this weekend. In case I don't show up by 26th will close it.
Comment 7 Bug Zapper 2011-06-27 14:15:56 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Ankur Sinha (FranciscoD) 2011-06-28 12:43:25 EDT
Closed. I'll update the trac.
Comment 9 Ankur Sinha (FranciscoD) 2011-08-15 07:47:02 EDT

*** This bug has been marked as a duplicate of bug 730691 ***

Note You need to log in before you can comment on or make changes to this bug.